## ros-galactic-rosidl-generator-py 0.11.4

=== debian/changelog ===
ros-galactic-rosidl-generator-py (0.11.4-1focal) focal; urgency=high

  * Change decode error mode to replace (#180 <https://github.com/ros2/rosidl_python/issues/180>)
  * Contributors: Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rosidl-generator-py (0.11.3-1focal) focal; urgency=high

  * Fixing generated import order (backport #173 <https://github.com/ros2/rosidl_python/issues/173>)
  * Contributors: Dharini Dutia

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Jul 2022 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.11.2-1focal) focal; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>) (#159 <https://github.com/ros2/rosidl_python/issues/159>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.11.1-1focal) focal; urgency=high

  * Added optimization for copying arrays of simple types from python to C using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>) (#145 <https://github.com/ros2/rosidl_python/issues/145>)
  * Contributors: ksuszka

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Oct 2021 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.11.0-1focal) focal; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.10.0-1focal) focal; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.9.4-1focal) focal; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rosidl-generator-py (0.9.3-1focal) focal; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.9.2-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.9.1-1focal) focal; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.9.0-1focal) focal; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)
  * Remove dependency on rmw_implementation (#102 <https://github.com/ros2/rosidl_python/issues/102>)
  * Added rosidl_runtime c and cpp depencencies (#100 <https://github.com/ros2/rosidl_python/issues/100>)
  * Move 'noqa: A003' for fields named like a builtin from property to method line (#101 <https://github.com/ros2/rosidl_python/issues/101>)
  * Add warnings for reserved Python keywords in interface members, services and actions (#96 <https://github.com/ros2/rosidl_python/issues/96>)
  * Code style only: wrap after open parenthesis if not in one line (#97 <https://github.com/ros2/rosidl_python/issues/97>)
  * Use f-string (#98 <https://github.com/ros2/rosidl_python/issues/98>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Samuel Lindgren

 -- Scott K Logan <scott@openrobotics.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.8.1-1focal) focal; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rosidl-generator-py (0.8.0-1focal) focal; urgency=high

  * Find numpy headers in non-debian paths (#75 <https://github.com/ros2/rosidl_python/issues/75>) (#75 <https://github.com/ros2/rosidl_python/issues/75>)
  * Remove non-package from ament_target_dependencies() (#76 <https://github.com/ros2/rosidl_python/issues/76>)
  * Avoid multiple includes for nested array functions (#72 <https://github.com/ros2/rosidl_python/issues/72>)
  * Remove the padding member from structs which should be empty (#73 <https://github.com/ros2/rosidl_python/issues/73>)
  * Ensure the contents of the field are an array. (#63 <https://github.com/ros2/rosidl_python/issues/63>)

