=== debian/control ===
Source: ros-galactic-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pytest <!nocheck>, ros-galactic-ament-cmake, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-index-python <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-python-cmake-module <!nocheck>, ros-galactic-rmw <!nocheck>, ros-galactic-rosidl-cmake <!nocheck>, ros-galactic-rosidl-generator-c <!nocheck>, ros-galactic-rosidl-generator-cpp <!nocheck>, ros-galactic-rosidl-parser <!nocheck>, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-typesupport-c <!nocheck>, ros-galactic-rosidl-typesupport-fastrtps-c <!nocheck>, ros-galactic-rosidl-typesupport-introspection-c <!nocheck>, ros-galactic-rpyutils <!nocheck>, ros-galactic-test-interface-files <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-galactic-ament-cmake, ros-galactic-ament-index-python, ros-galactic-python-cmake-module, ros-galactic-rmw, ros-galactic-rosidl-cli, ros-galactic-rosidl-cmake, ros-galactic-rosidl-generator-c, ros-galactic-rosidl-parser, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-typesupport-c, ros-galactic-rosidl-typesupport-interface, ros-galactic-rpyutils, ros-galactic-ros-workspace
Description: Generate the ROS interfaces in Python.
